﻿@{
    ViewBag.Title = "ValidateTest";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    @if (false)
    {
        <script src="../../Scripts/Public/jquery-1.11.1.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bootstrap3/bootstrap.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/sa/jquery.sa.ajax.js" type="text/javascript"></script>
    }
    <script src="../../Scripts/Plugins/ueditor/ueditor.config.js" type="text/javascript"></script>
    <script src="../../Scripts/Plugins/ueditor/ueditor.all.js" type="text/javascript"></script>
    <script src="../../Scripts/Plugins/ueditor/lang/zh-cn/zh-cn.js" type="text/javascript"></script>
    <script type="text/javascript">
        var ue1 = UE.getEditor('editor1', {
            zIndex: 1024//为了弹出窗和预览效果不被bootstrap的导航菜单遮住
            , saveInterval: 10000
        });
        var ue2 = UE.getEditor('editor2', {
            toolbars: [
                ['fullscreen', 'source', 'undo', 'redo']
                , ['bold', 'italic', 'underline', 'fontborder', 'strikethrough', 'superscript', 'subscript', 'removeformat', 'formatmatch', 'autotypeset', 'blockquote', 'pasteplain', '|', 'forecolor', 'backcolor', 'insertorderedlist', 'insertunorderedlist', 'selectall', 'cleardoc', 'drafts']
            ]

            //关闭自动保存 ........[目前不能关闭自动保存，把saveInterval设置长点吧]
            , enableAutoSave: false


        });

        $(document).ready(function () {

            $("#btnsubmitUEditor").bind("click", function () {
                $.sa.post('@Url.Action("UEditorSubmit")'
                        , { 'html': encodeURIComponent(ue1.getContent()) }
                        , function (data) {
                            var html;
                            if (data != null) {
                                html = data.HTML;
                                ue2.setContent(decodeURIComponent(html), true);
                            }
                        });
            });
        });
     
    </script>
    <script type="text/javascript">

        //实例化编辑器
        //建议使用工厂方法getEditor创建和引用编辑器实例，如果在某个闭包下引用该编辑器，直接调用UE.getEditor('editor')就能拿到相关的实例
        var ue = UE.getEditor('editor1');


        function isFocus(e) {
            alert(UE.getEditor('editor1').isFocus());
            UE.dom.domUtils.preventDefault(e)
        }
        function setblur(e) {
            UE.getEditor('editor1').blur();
            UE.dom.domUtils.preventDefault(e)
        }
        function insertHtml() {
            var value = prompt('插入html代码', '');
            UE.getEditor('editor1').execCommand('insertHtml', value)
        }
        function createEditor() {
            enableBtn();
            UE.getEditor('editor1');
        }
        function getAllHtml() {
            alert(UE.getEditor('editor1').getAllHtml())
        }
        function getContent() {
            var arr = [];
            arr.push("使用editor.getContent()方法可以获得编辑器的内容");
            arr.push("内容为：");
            arr.push(UE.getEditor('editor1').getContent());
            alert(arr.join("\n"));
        }
        function getPlainTxt() {
            var arr = [];
            arr.push("使用editor.getPlainTxt()方法可以获得编辑器的带格式的纯文本内容");
            arr.push("内容为：");
            arr.push(UE.getEditor('editor1').getPlainTxt());
            alert(arr.join('\n'))
        }
        function setContent(isAppendTo) {
            var arr = [];
            arr.push("使用editor.setContent('欢迎使用ueditor')方法可以设置编辑器的内容");
            UE.getEditor('editor1').setContent('欢迎使用ueditor', isAppendTo);
            alert(arr.join("\n"));
        }
        function setDisabled() {
            UE.getEditor('editor1').setDisabled('fullscreen');
            disableBtn("enable");
        }

        function setEnabled() {
            UE.getEditor('editor1').setEnabled();
            enableBtn();
        }

        function getText() {
            //当你点击按钮时编辑区域已经失去了焦点，如果直接用getText将不会得到内容，所以要在选回来，然后取得内容
            var range = UE.getEditor('editor1').selection.getRange();
            range.select();
            var txt = UE.getEditor('editor1').selection.getText();
            alert(txt)
        }

        function getContentTxt() {
            var arr = [];
            arr.push("使用editor.getContentTxt()方法可以获得编辑器的纯文本内容");
            arr.push("编辑器的纯文本内容为：");
            arr.push(UE.getEditor('editor1').getContentTxt());
            alert(arr.join("\n"));
        }
        function hasContent() {
            var arr = [];
            arr.push("使用editor.hasContents()方法判断编辑器里是否有内容");
            arr.push("判断结果为：");
            arr.push(UE.getEditor('editor1').hasContents());
            alert(arr.join("\n"));
        }
        function setFocus() {
            UE.getEditor('editor1').focus();
        }
        function deleteEditor() {
            disableBtn();
            UE.getEditor('editor1').destroy();
        }
        function disableBtn(str) {
            var div = document.getElementById('btns');
            var btns = UE.dom.domUtils.getElementsByTagName(div, "button");
            for (var i = 0, btn; btn = btns[i++]; ) {
                if (btn.id == str) {
                    UE.dom.domUtils.removeAttributes(btn, ["disabled"]);
                } else {
                    btn.setAttribute("disabled", "true");
                }
            }
        }
        function enableBtn() {
            var div = document.getElementById('btns');
            var btns = UE.dom.domUtils.getElementsByTagName(div, "button");
            for (var i = 0, btn; btn = btns[i++]; ) {
                UE.dom.domUtils.removeAttributes(btn, ["disabled"]);
            }
        }

        function getLocalData() {
            alert(UE.getEditor('editor1').execCommand("getlocaldata"));
        }

        function clearLocalData() {
            UE.getEditor('editor1').execCommand("clearlocaldata");
            alert("已清空草稿箱")
        }
    </script>
}
@section HeadCss{
    @if (false)
    {
        <link href="/Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
    }
}
<div class="container-fluid">
    <div>
        <h1>
            完整toolbars</h1>
        <script id="editor1" type="text/plain" style="width: 100%; height: 100%;"></script>
    </div>
    <div id="btns">
        <div>
            <button onclick="getAllHtml()">
                获得整个html的内容</button>
            <button onclick="getContent()">
                获得内容</button>
            <button onclick="setContent()">
                写入内容</button>
            <button onclick="setContent(true)">
                追加内容</button>
            <button onclick="getContentTxt()">
                获得纯文本</button>
            <button onclick="getPlainTxt()">
                获得带格式的纯文本</button>
            <button onclick="hasContent()">
                判断是否有内容</button>
            <button onclick="setFocus()">
                使编辑器获得焦点</button>
            <button onmousedown="isFocus(event)">
                编辑器是否获得焦点</button>
            <button onmousedown="setblur(event)">
                编辑器失去焦点</button>
        </div>
        <div>
            <button onclick="getText()">
                获得当前选中的文本</button>
            <button onclick="insertHtml()">
                插入给定的内容</button>
            <button id="enable" onclick="setEnabled()">
                可以编辑</button>
            <button onclick="setDisabled()">
                不可编辑</button>
            <button onclick=" UE.getEditor('editor1').setHide()">
                隐藏编辑器</button>
            <button onclick=" UE.getEditor('editor1').setShow()">
                显示编辑器</button>
            <button onclick=" UE.getEditor('editor1').setHeight(300)">
                设置高度为300默认关闭了自动长高</button>
        </div>
        <div>
            <button onclick="getLocalData()">
                获取草稿箱内容</button>
            <button onclick="clearLocalData()">
                清空草稿箱</button>
        </div>
    </div>
    <div>
        <button onclick="createEditor()">
            创建编辑器</button>
        <button onclick="deleteEditor()">
            删除编辑器</button>
    </div>
    <div>
        <button id="btnsubmitUEditor" class="btn btn-danger">
            提交到服务器并绑定到下面的editor</button></div>
    <div>
        <h1>
            部分toolbars</h1>
        <script id="editor2" type="text/plain" style="width: 100%; height: 300px;"></script>
    </div>
</div>
